Subject: [Netconf] Preparing for an update of Monitoring draft WAS:FW: comments on netconf-monitoring-03 draft

From: "Ersue, Mehmet (NSN - DE/Munich)" <[email-masked]>
Date: Mon, 2 Mar 2009 20:28:47 +0100

Dear NETCONF WG,

the WGLC for NETCONF Monitoring draft ended on Feb 18
but we have a useful discussion ongoing on the maillist.
I think the current discussion is helpful to get the document 
stable. 

Mark is preparing an update for the monitoting draft for 
submission by the .

Please bring in your comments and discussion points by
Thursday, March 5, EOB, so that the I-D editor has sufficient 
time to address them in the document before cut-off date 
on March 9.

Mehmet

-----Original Message-----
From: [email-masked] [mailto:[email-masked]] On
Behalf Of ext Martin Bjorklund
Sent: Monday, March 02, 2009 8:15 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [Netconf] comments on netconf-monitoring-03 draft

WashamFan <[email-masked]> wrote:
> >  >> 16) Is inBadRpcs == outRpcErrors always true?
> >  >>      If not, why not?  (If yes, why do both counters exist?)
> 
> Or inBadRpcs + inNotSupportedRpcs == outRpcErrors ?

No, for example a perfectly legal <validate> will not increment
inBadRpcs or inNotSupportedRpcs, but it might still generate an
rpc-error if the source config is not valid.

Hmm.  Re-reading the description of outRpcErrors, it seems the text is
not as precise as it could be.  E.g. will the counter be incremented
if <data> AND <rpc-error> is sent?  Will it be incremented if inline
rpc-errors are sent?

I think the conclusion is that this counter probably is not very
useful as it is defined.  Separate counters for each error-type might
be interesting, or at least for error-type transport, rpc, and
protocol.

/martin
_______________________________________________
Netconf mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netconf